% This code includes a modification to the indertia matrix km to allow for
% front-back translations of the centers of mass of all the stages to reflect the as-built
% LASTI monolithic quad. The new parameters are Imnyz, Im1yz, Im2yz, Im3yz.
% Brett Shapiro
% 3 August 2010

qm = [...
kcn+cn^2*kn+(g*mn3)/(2*cn*ln)-(cn*g*mn3)/(2*ln) 0 0 0 0 0 0 0 0 0 0 0
 0 kxn+(g*mn3)/(2*cn*ln) 0 0 0 0 0 0 0 0 0 0
 0 0 kcn+cn^2*kn+(g*mn3)/(2*cn*ln)-(cn*g*mn3)/(2*ln) 0 0 0 0 0 0 0 0 0
 0 0 0 kxn+(g*mn3)/(2*cn*ln) 0 0 0 0 0 0 0 0
 0 0 0 0 c1^2*k1+kc1+(g*m13)/(2*c1*l1)-(c1*g*m13)/(2*l1) 0 0 0 0 0 0 0
 0 0 0 0 0 kx1+(g*m13)/(2*c1*l1) 0 0 0 0 0 0
 0 0 0 0 0 0 c1^2*k1+kc1+(g*m13)/(2*c1*l1)-(c1*g*m13)/(2*l1) 0 0 0 0 0
 0 0 0 0 0 0 0 kx1+(g*m13)/(2*c1*l1) 0 0 0 0
 0 0 0 0 0 0 0 0 c2^2*k2+kc2+(g*m23)/(2*c2*l2)-(c2*g*m23)/(2*l2) 0 0 0
 0 0 0 0 0 0 0 0 0 kx2+(g*m23)/(2*c2*l2) 0 0
 0 0 0 0 0 0 0 0 0 0 c2^2*k2+kc2+(g*m23)/(2*c2*l2)-(c2*g*m23)/(2*l2) 0
 0 0 0 0 0 0 0 0 0 0 0 kx2+(g*m23)/(2*c2*l2)
];
cqsm = [...
0 -((2*cn*kn*ln-g*mn3)*(nn0-nn1))/(2*ln^2) (2*cn^3*kn*ln+g*mn3-cn^2*g*mn3)/(2*cn*ln) 0 0 -(2*cn^3*kn*ln*nn0-cn^2*g*mn3*nn0+g*mn3*nn1)/(2*cn*ln)
 (g*mn3)/(2*cn*ln) 0 0 (g*mn3*nn1)/(2*cn*ln) -(g*mn3)/2 0
 0 ((2*cn*kn*ln-g*mn3)*(nn0-nn1))/(2*ln^2) (2*cn^3*kn*ln+g*mn3-cn^2*g*mn3)/(2*cn*ln) 0 0 (2*cn^3*kn*ln*nn0-cn^2*g*mn3*nn0+g*mn3*nn1)/(2*cn*ln)
 (g*mn3)/(2*cn*ln) 0 0 -(g*mn3*nn1)/(2*cn*ln) -(g*mn3)/2 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
];
xm = [...
(g*m13)/(c1*l1)+(g*mn3)/(cn*ln) 0 0 0 -((dn*g*m13)/(c1*l1))+(dm*g*mn3)/(cn*ln) 0 -((g*m13)/(c1*l1)) 0 0 0 -((d0*g*m13)/(c1*l1)) 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 (g*m13)/(c1*l1)+(g*mn3)/(cn*ln)+(k1*(n0-n1)^2)/l1^2-(g*m13*(n0-n1)^2)/(2*c1*l1^3)+(k1*(-n0+n1)^2)/l1^2-(g*m13*(-n0+n1)^2)/(2*c1*l1^3)+(kn*(nn0-nn1)^2)/ln^2-(g*mn3*(nn0-nn1)^2)/(2*cn*ln^3)+(kn*(-nn0+nn1)^2)/ln^2-(g*mn3*(-nn0+nn1)^2)/(2*cn*ln^3) -((c1*k1*(n0-n1))/l1)+(g*m13*(n0-n1))/(2*l1^2)-(c1*k1*(-n0+n1))/l1+(g*m13*(-n0+n1))/(2*l1^2)-(cn*kn*(nn0-nn1))/ln+(g*mn3*(nn0-nn1))/(2*ln^2)-(cn*kn*(-nn0+nn1))/ln+(g*mn3*(-nn0+nn1))/(2*ln^2) 0 0 (dn*g*m13)/(c1*l1)-(dm*g*mn3)/(cn*ln)-(k1*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(2*l1^2)+(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(4*c1*l1^3)-(k1*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1^2)+(g*m13*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*c1*l1^3)+(kn*(nn0-nn1)*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(2*ln^2)-(g*mn3*(nn0-nn1)*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(4*cn*ln^3)+(kn*(-nn0+nn1)*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(2*ln^2)-(g*mn3*(-nn0+nn1)*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(4*cn*ln^3) 0 -((g*m13)/(c1*l1))-(k1*(n0-n1)^2)/l1^2+(g*m13*(n0-n1)^2)/(2*c1*l1^3)-(k1*(-n0+n1)^2)/l1^2+(g*m13*(-n0+n1)^2)/(2*c1*l1^3) (c1*k1*(n0-n1))/l1-(g*m13*(n0-n1))/(2*l1^2)+(c1*k1*(-n0+n1))/l1-(g*m13*(-n0+n1))/(2*l1^2) 0 0 (d0*g*m13)/(c1*l1)-(k1*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1^2)+(g*m13*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*c1*l1^3)-(k1*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1^2)+(g*m13*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*c1*l1^3) 0 0 0 0 0 0 0 0 0 0 0 0
 0 -((c1*k1*(n0-n1))/l1)+(g*m13*(n0-n1))/(2*l1^2)-(c1*k1*(-n0+n1))/l1+(g*m13*(-n0+n1))/(2*l1^2)-(cn*kn*(nn0-nn1))/ln+(g*mn3*(nn0-nn1))/(2*ln^2)-(cn*kn*(-nn0+nn1))/ln+(g*mn3*(-nn0+nn1))/(2*ln^2) 2*c1^2*k1+2*cn^2*kn+(g*m13)/(c1*l1)-(c1*g*m13)/l1+(g*mn3)/(cn*ln)-(cn*g*mn3)/ln 0 0 (c1*k1*(-2*c1*l1*n0-2*dn*(n0-n1)))/(2*l1)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1)))/(4*l1^2)+(c1*k1*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1)-(g*m13*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2)-(cn*kn*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(2*ln)+(g*mn3*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(4*ln^2)-(cn*kn*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(2*ln)+(g*mn3*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(4*ln^2) 0 (c1*k1*(n0-n1))/l1-(g*m13*(n0-n1))/(2*l1^2)+(c1*k1*(-n0+n1))/l1-(g*m13*(-n0+n1))/(2*l1^2) -2*c1^2*k1-(g*m13)/(c1*l1)+(c1*g*m13)/l1 0 0 (c1*k1*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1)-(g*m13*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2)+(c1*k1*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1)-(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*l1^2) 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 (g*mn3*(2*(nn0-nn1)*nn1+2*nn1^2))/(4*cn*ln)+(g*mn3*(2*nn1^2-2*nn1*(-nn0+nn1)))/(4*cn*ln)+(k1*(n0-n1)^2*su^2)/l1^2-(g*m13*(n0-n1)^2*su^2)/(2*c1*l1^3)+(k1*(-n0+n1)^2*su^2)/l1^2-(g*m13*(-n0+n1)^2*su^2)/(2*c1*l1^3)+(g*m13*(2*n0^2-2*n0*(n0-n1)+2*su^2))/(4*c1*l1)+(g*m13*(2*n0^2+2*n0*(-n0+n1)+2*su^2))/(4*c1*l1) (g*m13*(-2*dn*n0+2*dn*(n0-n1)))/(4*c1*l1)+(g*m13*(2*dn*n0+2*dn*(-n0+n1)))/(4*c1*l1)+(g*mn3*(2*dm*(nn0-nn1)+2*dm*nn1))/(4*cn*ln)+(g*mn3*(-2*dm*nn1+2*dm*(-nn0+nn1)))/(4*cn*ln)+(c1*k1*(n0-n1)*su^2)/l1-(g*m13*(n0-n1)*su^2)/(2*l1^2)+(c1*k1*(-n0+n1)*su^2)/l1-(g*m13*(-n0+n1)*su^2)/(2*l1^2) 0 0 0 0 -((k1*(n0-n1)^2*su^2)/l1^2)+(g*m13*(n0-n1)^2*su^2)/(2*c1*l1^3)-(k1*(-n0+n1)^2*su^2)/l1^2+(g*m13*(-n0+n1)^2*su^2)/(2*c1*l1^3)+(g*m13*(-2*n0*n1-2*su^2))/(2*c1*l1) -((c1*k1*(n0-n1)*su^2)/l1)+(g*m13*(n0-n1)*su^2)/(2*l1^2)-(c1*k1*(-n0+n1)*su^2)/l1+(g*m13*(-n0+n1)*su^2)/(2*l1^2) 0 0 0 0 0 0 0 0 0 0 0 0 0
 -((dn*g*m13)/(c1*l1))+(dm*g*mn3)/(cn*ln) 0 0 (g*m13*(-2*dn*n0+2*dn*(n0-n1)))/(4*c1*l1)+(g*m13*(2*dn*n0+2*dn*(-n0+n1)))/(4*c1*l1)+(g*mn3*(2*dm*(nn0-nn1)+2*dm*nn1))/(4*cn*ln)+(g*mn3*(-2*dm*nn1+2*dm*(-nn0+nn1)))/(4*cn*ln)+(c1*k1*(n0-n1)*su^2)/l1-(g*m13*(n0-n1)*su^2)/(2*l1^2)+(c1*k1*(-n0+n1)*su^2)/l1-(g*m13*(-n0+n1)*su^2)/(2*l1^2) (g*(2*dm^2+2*cn*dm*ln)*mn3)/(2*cn*ln)+2*c1^2*k1*su^2-(c1*g*m13*su^2)/l1+(g*m13*(2*dn^2+2*c1*dn*l1+2*su^2))/(2*c1*l1) 0 (dn*g*m13)/(c1*l1) 0 0 -((c1*k1*(n0-n1)*su^2)/l1)+(g*m13*(n0-n1)*su^2)/(2*l1^2)-(c1*k1*(-n0+n1)*su^2)/l1+(g*m13*(-n0+n1)*su^2)/(2*l1^2) -2*c1^2*k1*su^2+(c1*g*m13*su^2)/l1+(g*m13*(2*d0*dn-2*su^2))/(2*c1*l1) 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 (dn*g*m13)/(c1*l1)-(dm*g*mn3)/(cn*ln)-(k1*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(2*l1^2)+(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(4*c1*l1^3)-(k1*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1^2)+(g*m13*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*c1*l1^3)+(kn*(nn0-nn1)*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(2*ln^2)-(g*mn3*(nn0-nn1)*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(4*cn*ln^3)+(kn*(-nn0+nn1)*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(2*ln^2)-(g*mn3*(-nn0+nn1)*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(4*cn*ln^3) (c1*k1*(-2*c1*l1*n0-2*dn*(n0-n1)))/(2*l1)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1)))/(4*l1^2)+(c1*k1*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1)-(g*m13*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2)-(cn*kn*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(2*ln)+(g*mn3*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(4*ln^2)-(cn*kn*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(2*ln)+(g*mn3*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(4*ln^2) 0 0 (k1*(-2*c1*l1*n0-2*dn*(n0-n1))^2)/(4*l1^2)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))^2)/(8*c1*l1^3)+(g*m13*(2*dn^2+2*c1*dn*l1+2*n0^2-2*n0*(n0-n1)))/(4*c1*l1)+(k1*(2*c1*l1*n0-2*dn*(-n0+n1))^2)/(4*l1^2)-(g*m13*(2*c1*l1*n0-2*dn*(-n0+n1))^2)/(8*c1*l1^3)+(g*m13*(2*dn^2+2*c1*dn*l1+2*n0^2+2*n0*(-n0+n1)))/(4*c1*l1)+(kn*(-2*dm*(nn0-nn1)+2*cn*ln*nn1)^2)/(4*ln^2)-(g*mn3*(-2*dm*(nn0-nn1)+2*cn*ln*nn1)^2)/(8*cn*ln^3)+(g*mn3*(2*dm^2+2*cn*dm*ln+2*(nn0-nn1)*nn1+2*nn1^2))/(4*cn*ln)+(kn*(-2*cn*ln*nn1-2*dm*(-nn0+nn1))^2)/(4*ln^2)-(g*mn3*(-2*cn*ln*nn1-2*dm*(-nn0+nn1))^2)/(8*cn*ln^3)+(g*mn3*(2*dm^2+2*cn*dm*ln+2*nn1^2-2*nn1*(-nn0+nn1)))/(4*cn*ln) 0 -((dn*g*m13)/(c1*l1))+(k1*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(2*l1^2)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(4*c1*l1^3)+(k1*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1^2)-(g*m13*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*c1*l1^3) -(c1*k1*(-2*c1*l1*n0-2*dn*(n0-n1)))/(2*l1)+(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1)))/(4*l1^2)-(c1*k1*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1)+(g*m13*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2) 0 0 (k1*(-2*c1*l1*n0-2*dn*(n0-n1))*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))*(-2*d0*(n0-n1)+2*c1*l1*n1))/(8*c1*l1^3)+(g*m13*(2*d0*dn-2*n0*n1))/(2*c1*l1)+(k1*(-2*c1*l1*n1-2*d0*(-n0+n1))*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2)-(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1))*(2*c1*l1*n0-2*dn*(-n0+n1)))/(8*c1*l1^3) 0 0 0 0 0 0 0 0 0 0 0 0
 -((g*m13)/(c1*l1)) 0 0 0 (dn*g*m13)/(c1*l1) 0 (g*m13)/(c1*l1)+(g*m23)/(c2*l2) 0 0 0 (d0*g*m13)/(c1*l1)-(d1*g*m23)/(c2*l2) 0 -((g*m23)/(c2*l2)) 0 0 0 -((d2*g*m23)/(c2*l2)) 0 0 0 0 0 0 0
 0 -((g*m13)/(c1*l1))-(k1*(n0-n1)^2)/l1^2+(g*m13*(n0-n1)^2)/(2*c1*l1^3)-(k1*(-n0+n1)^2)/l1^2+(g*m13*(-n0+n1)^2)/(2*c1*l1^3) (c1*k1*(n0-n1))/l1-(g*m13*(n0-n1))/(2*l1^2)+(c1*k1*(-n0+n1))/l1-(g*m13*(-n0+n1))/(2*l1^2) 0 0 -((dn*g*m13)/(c1*l1))+(k1*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(2*l1^2)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))*(n0-n1))/(4*c1*l1^3)+(k1*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1^2)-(g*m13*(-n0+n1)*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*c1*l1^3) 0 (g*m13)/(c1*l1)+(g*m23)/(c2*l2)+(k1*(n0-n1)^2)/l1^2-(g*m13*(n0-n1)^2)/(2*c1*l1^3)+(k1*(-n0+n1)^2)/l1^2-(g*m13*(-n0+n1)^2)/(2*c1*l1^3)+(k2*(n2-n3)^2)/l2^2-(g*m23*(n2-n3)^2)/(2*c2*l2^3)+(k2*(-n2+n3)^2)/l2^2-(g*m23*(-n2+n3)^2)/(2*c2*l2^3) -((c1*k1*(n0-n1))/l1)+(g*m13*(n0-n1))/(2*l1^2)-(c1*k1*(-n0+n1))/l1+(g*m13*(-n0+n1))/(2*l1^2)-(c2*k2*(n2-n3))/l2+(g*m23*(n2-n3))/(2*l2^2)-(c2*k2*(-n2+n3))/l2+(g*m23*(-n2+n3))/(2*l2^2) 0 0 -((d0*g*m13)/(c1*l1))+(d1*g*m23)/(c2*l2)+(k1*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1^2)-(g*m13*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*c1*l1^3)+(k1*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1^2)-(g*m13*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*c1*l1^3)-(k2*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(2*l2^2)+(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(4*c2*l2^3)-(k2*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2^2)+(g*m23*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*c2*l2^3) 0 -((g*m23)/(c2*l2))-(k2*(n2-n3)^2)/l2^2+(g*m23*(n2-n3)^2)/(2*c2*l2^3)-(k2*(-n2+n3)^2)/l2^2+(g*m23*(-n2+n3)^2)/(2*c2*l2^3) (c2*k2*(n2-n3))/l2-(g*m23*(n2-n3))/(2*l2^2)+(c2*k2*(-n2+n3))/l2-(g*m23*(-n2+n3))/(2*l2^2) 0 0 (d2*g*m23)/(c2*l2)-(k2*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2^2)+(g*m23*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*c2*l2^3)-(k2*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2^2)+(g*m23*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*c2*l2^3) 0 0 0 0 0 0
 0 (c1*k1*(n0-n1))/l1-(g*m13*(n0-n1))/(2*l1^2)+(c1*k1*(-n0+n1))/l1-(g*m13*(-n0+n1))/(2*l1^2) -2*c1^2*k1-(g*m13)/(c1*l1)+(c1*g*m13)/l1 0 0 -(c1*k1*(-2*c1*l1*n0-2*dn*(n0-n1)))/(2*l1)+(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1)))/(4*l1^2)-(c1*k1*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1)+(g*m13*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2) 0 -((c1*k1*(n0-n1))/l1)+(g*m13*(n0-n1))/(2*l1^2)-(c1*k1*(-n0+n1))/l1+(g*m13*(-n0+n1))/(2*l1^2)-(c2*k2*(n2-n3))/l2+(g*m23*(n2-n3))/(2*l2^2)-(c2*k2*(-n2+n3))/l2+(g*m23*(-n2+n3))/(2*l2^2) 2*c1^2*k1+2*c2^2*k2+(g*m13)/(c1*l1)-(c1*g*m13)/l1+(g*m23)/(c2*l2)-(c2*g*m23)/l2 0 0 -(c1*k1*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1)+(g*m13*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2)-(c1*k1*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1)+(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*l1^2)+(c2*k2*(-2*c2*l2*n2-2*d1*(n2-n3)))/(2*l2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3)))/(4*l2^2)+(c2*k2*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2)-(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*l2^2) 0 (c2*k2*(n2-n3))/l2-(g*m23*(n2-n3))/(2*l2^2)+(c2*k2*(-n2+n3))/l2-(g*m23*(-n2+n3))/(2*l2^2) -2*c2^2*k2-(g*m23)/(c2*l2)+(c2*g*m23)/l2 0 0 (c2*k2*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2)-(g*m23*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2)+(c2*k2*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2)-(g*m23*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2) 0 0 0 0 0 0
 0 0 0 -((k1*(n0-n1)^2*su^2)/l1^2)+(g*m13*(n0-n1)^2*su^2)/(2*c1*l1^3)-(k1*(-n0+n1)^2*su^2)/l1^2+(g*m13*(-n0+n1)^2*su^2)/(2*c1*l1^3)+(g*m13*(-2*n0*n1-2*su^2))/(2*c1*l1) -((c1*k1*(n0-n1)*su^2)/l1)+(g*m13*(n0-n1)*su^2)/(2*l1^2)-(c1*k1*(-n0+n1)*su^2)/l1+(g*m13*(-n0+n1)*su^2)/(2*l1^2) 0 0 0 0 (k2*(n2-n3)^2*si^2)/l2^2-(g*m23*(n2-n3)^2*si^2)/(2*c2*l2^3)+(k2*(-n2+n3)^2*si^2)/l2^2-(g*m23*(-n2+n3)^2*si^2)/(2*c2*l2^3)+(g*m23*(2*n2^2-2*n2*(n2-n3)+2*si^2))/(4*c2*l2)+(g*m23*(2*n2^2+2*n2*(-n2+n3)+2*si^2))/(4*c2*l2)+(k1*(n0-n1)^2*su^2)/l1^2-(g*m13*(n0-n1)^2*su^2)/(2*c1*l1^3)+(k1*(-n0+n1)^2*su^2)/l1^2-(g*m13*(-n0+n1)^2*su^2)/(2*c1*l1^3)+(g*m13*(2*(n0-n1)*n1+2*n1^2+2*su^2))/(4*c1*l1)+(g*m13*(2*n1^2-2*n1*(-n0+n1)+2*su^2))/(4*c1*l1) (g*m13*(2*d0*(n0-n1)+2*d0*n1))/(4*c1*l1)+(g*m13*(-2*d0*n1+2*d0*(-n0+n1)))/(4*c1*l1)+(g*m23*(-2*d1*n2+2*d1*(n2-n3)))/(4*c2*l2)+(g*m23*(2*d1*n2+2*d1*(-n2+n3)))/(4*c2*l2)+(c2*k2*(n2-n3)*si^2)/l2-(g*m23*(n2-n3)*si^2)/(2*l2^2)+(c2*k2*(-n2+n3)*si^2)/l2-(g*m23*(-n2+n3)*si^2)/(2*l2^2)+(c1*k1*(n0-n1)*su^2)/l1-(g*m13*(n0-n1)*su^2)/(2*l1^2)+(c1*k1*(-n0+n1)*su^2)/l1-(g*m13*(-n0+n1)*su^2)/(2*l1^2) 0 0 0 0 -((k2*(n2-n3)^2*si^2)/l2^2)+(g*m23*(n2-n3)^2*si^2)/(2*c2*l2^3)-(k2*(-n2+n3)^2*si^2)/l2^2+(g*m23*(-n2+n3)^2*si^2)/(2*c2*l2^3)+(g*m23*(-2*n2*n3-2*si^2))/(2*c2*l2) -((c2*k2*(n2-n3)*si^2)/l2)+(g*m23*(n2-n3)*si^2)/(2*l2^2)-(c2*k2*(-n2+n3)*si^2)/l2+(g*m23*(-n2+n3)*si^2)/(2*l2^2) 0 0 0 0 0 0 0
 -((d0*g*m13)/(c1*l1)) 0 0 -((c1*k1*(n0-n1)*su^2)/l1)+(g*m13*(n0-n1)*su^2)/(2*l1^2)-(c1*k1*(-n0+n1)*su^2)/l1+(g*m13*(-n0+n1)*su^2)/(2*l1^2) -2*c1^2*k1*su^2+(c1*g*m13*su^2)/l1+(g*m13*(2*d0*dn-2*su^2))/(2*c1*l1) 0 (d0*g*m13)/(c1*l1)-(d1*g*m23)/(c2*l2) 0 0 (g*m13*(2*d0*(n0-n1)+2*d0*n1))/(4*c1*l1)+(g*m13*(-2*d0*n1+2*d0*(-n0+n1)))/(4*c1*l1)+(g*m23*(-2*d1*n2+2*d1*(n2-n3)))/(4*c2*l2)+(g*m23*(2*d1*n2+2*d1*(-n2+n3)))/(4*c2*l2)+(c2*k2*(n2-n3)*si^2)/l2-(g*m23*(n2-n3)*si^2)/(2*l2^2)+(c2*k2*(-n2+n3)*si^2)/l2-(g*m23*(-n2+n3)*si^2)/(2*l2^2)+(c1*k1*(n0-n1)*su^2)/l1-(g*m13*(n0-n1)*su^2)/(2*l1^2)+(c1*k1*(-n0+n1)*su^2)/l1-(g*m13*(-n0+n1)*su^2)/(2*l1^2) 2*c2^2*k2*si^2-(c2*g*m23*si^2)/l2+(g*m23*(2*d1^2+2*c2*d1*l2+2*si^2))/(2*c2*l2)+2*c1^2*k1*su^2-(c1*g*m13*su^2)/l1+(g*m13*(2*d0^2+2*c1*d0*l1+2*su^2))/(2*c1*l1) 0 (d1*g*m23)/(c2*l2) 0 0 -((c2*k2*(n2-n3)*si^2)/l2)+(g*m23*(n2-n3)*si^2)/(2*l2^2)-(c2*k2*(-n2+n3)*si^2)/l2+(g*m23*(-n2+n3)*si^2)/(2*l2^2) -2*c2^2*k2*si^2+(c2*g*m23*si^2)/l2+(g*m23*(2*d1*d2-2*si^2))/(2*c2*l2) 0 0 0 0 0 0 0
 0 (d0*g*m13)/(c1*l1)-(k1*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1^2)+(g*m13*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*c1*l1^3)-(k1*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1^2)+(g*m13*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*c1*l1^3) (c1*k1*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1)-(g*m13*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2)+(c1*k1*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1)-(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*l1^2) 0 0 (k1*(-2*c1*l1*n0-2*dn*(n0-n1))*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1))*(-2*d0*(n0-n1)+2*c1*l1*n1))/(8*c1*l1^3)+(g*m13*(2*d0*dn-2*n0*n1))/(2*c1*l1)+(k1*(-2*c1*l1*n1-2*d0*(-n0+n1))*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2)-(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1))*(2*c1*l1*n0-2*dn*(-n0+n1)))/(8*c1*l1^3) 0 -((d0*g*m13)/(c1*l1))+(d1*g*m23)/(c2*l2)+(k1*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1^2)-(g*m13*(n0-n1)*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*c1*l1^3)+(k1*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1^2)-(g*m13*(-n0+n1)*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*c1*l1^3)-(k2*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(2*l2^2)+(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(4*c2*l2^3)-(k2*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2^2)+(g*m23*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*c2*l2^3) -(c1*k1*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1)+(g*m13*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2)-(c1*k1*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1)+(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*l1^2)+(c2*k2*(-2*c2*l2*n2-2*d1*(n2-n3)))/(2*l2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3)))/(4*l2^2)+(c2*k2*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2)-(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*l2^2) 0 0 (k1*(-2*d0*(n0-n1)+2*c1*l1*n1)^2)/(4*l1^2)-(g*m13*(-2*d0*(n0-n1)+2*c1*l1*n1)^2)/(8*c1*l1^3)+(g*m13*(2*d0^2+2*c1*d0*l1+2*(n0-n1)*n1+2*n1^2))/(4*c1*l1)+(k1*(-2*c1*l1*n1-2*d0*(-n0+n1))^2)/(4*l1^2)-(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1))^2)/(8*c1*l1^3)+(g*m13*(2*d0^2+2*c1*d0*l1+2*n1^2-2*n1*(-n0+n1)))/(4*c1*l1)+(k2*(-2*c2*l2*n2-2*d1*(n2-n3))^2)/(4*l2^2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))^2)/(8*c2*l2^3)+(g*m23*(2*d1^2+2*c2*d1*l2+2*n2^2-2*n2*(n2-n3)))/(4*c2*l2)+(k2*(2*c2*l2*n2-2*d1*(-n2+n3))^2)/(4*l2^2)-(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3))^2)/(8*c2*l2^3)+(g*m23*(2*d1^2+2*c2*d1*l2+2*n2^2+2*n2*(-n2+n3)))/(4*c2*l2) 0 -((d1*g*m23)/(c2*l2))+(k2*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(2*l2^2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(4*c2*l2^3)+(k2*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2^2)-(g*m23*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*c2*l2^3) -(c2*k2*(-2*c2*l2*n2-2*d1*(n2-n3)))/(2*l2)+(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3)))/(4*l2^2)-(c2*k2*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2)+(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*l2^2) 0 0 (k2*(-2*c2*l2*n2-2*d1*(n2-n3))*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))*(-2*d2*(n2-n3)+2*c2*l2*n3))/(8*c2*l2^3)+(g*m23*(2*d1*d2-2*n2*n3))/(2*c2*l2)+(k2*(2*c2*l2*n2-2*d1*(-n2+n3))*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2)-(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3))*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(8*c2*l2^3) 0 0 0 0 0 0
 0 0 0 0 0 0 -((g*m23)/(c2*l2)) 0 0 0 (d1*g*m23)/(c2*l2) 0 (g*m23)/(c2*l2)+(g*m3)/(c3*l3) 0 0 0 (d2*g*m23)/(c2*l2)-(d3*g*m3)/(c3*l3) 0 -((g*m3)/(c3*l3)) 0 0 0 -((d4*g*m3)/(c3*l3)) 0
 0 0 0 0 0 0 0 -((g*m23)/(c2*l2))-(k2*(n2-n3)^2)/l2^2+(g*m23*(n2-n3)^2)/(2*c2*l2^3)-(k2*(-n2+n3)^2)/l2^2+(g*m23*(-n2+n3)^2)/(2*c2*l2^3) (c2*k2*(n2-n3))/l2-(g*m23*(n2-n3))/(2*l2^2)+(c2*k2*(-n2+n3))/l2-(g*m23*(-n2+n3))/(2*l2^2) 0 0 -((d1*g*m23)/(c2*l2))+(k2*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(2*l2^2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))*(n2-n3))/(4*c2*l2^3)+(k2*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2^2)-(g*m23*(-n2+n3)*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*c2*l2^3) 0 (g*m23)/(c2*l2)+(g*m3)/(c3*l3)+(k2*(n2-n3)^2)/l2^2-(g*m23*(n2-n3)^2)/(2*c2*l2^3)+(k2*(-n2+n3)^2)/l2^2-(g*m23*(-n2+n3)^2)/(2*c2*l2^3)+(k3*(n4-n5)^2)/l3^2-(g*m3*(n4-n5)^2)/(2*c3*l3^3)+(k3*(-n4+n5)^2)/l3^2-(g*m3*(-n4+n5)^2)/(2*c3*l3^3) -((c2*k2*(n2-n3))/l2)+(g*m23*(n2-n3))/(2*l2^2)-(c2*k2*(-n2+n3))/l2+(g*m23*(-n2+n3))/(2*l2^2)-(c3*k3*(n4-n5))/l3+(g*m3*(n4-n5))/(2*l3^2)-(c3*k3*(-n4+n5))/l3+(g*m3*(-n4+n5))/(2*l3^2) 0 0 -((d2*g*m23)/(c2*l2))+(d3*g*m3)/(c3*l3)+(k2*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2^2)-(g*m23*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*c2*l2^3)+(k2*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2^2)-(g*m23*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*c2*l2^3)-(k3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(2*l3^2)+(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(4*c3*l3^3)-(k3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3^2)+(g*m3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*c3*l3^3) 0 -((g*m3)/(c3*l3))-(k3*(n4-n5)^2)/l3^2+(g*m3*(n4-n5)^2)/(2*c3*l3^3)-(k3*(-n4+n5)^2)/l3^2+(g*m3*(-n4+n5)^2)/(2*c3*l3^3) (c3*k3*(n4-n5))/l3-(g*m3*(n4-n5))/(2*l3^2)+(c3*k3*(-n4+n5))/l3-(g*m3*(-n4+n5))/(2*l3^2) 0 0 (d4*g*m3)/(c3*l3)-(k3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3^2)+(g*m3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*c3*l3^3)-(k3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3^2)+(g*m3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*c3*l3^3)
 0 0 0 0 0 0 0 (c2*k2*(n2-n3))/l2-(g*m23*(n2-n3))/(2*l2^2)+(c2*k2*(-n2+n3))/l2-(g*m23*(-n2+n3))/(2*l2^2) -2*c2^2*k2-(g*m23)/(c2*l2)+(c2*g*m23)/l2 0 0 -(c2*k2*(-2*c2*l2*n2-2*d1*(n2-n3)))/(2*l2)+(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3)))/(4*l2^2)-(c2*k2*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2)+(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*l2^2) 0 -((c2*k2*(n2-n3))/l2)+(g*m23*(n2-n3))/(2*l2^2)-(c2*k2*(-n2+n3))/l2+(g*m23*(-n2+n3))/(2*l2^2)-(c3*k3*(n4-n5))/l3+(g*m3*(n4-n5))/(2*l3^2)-(c3*k3*(-n4+n5))/l3+(g*m3*(-n4+n5))/(2*l3^2) 2*c2^2*k2+2*c3^2*k3+(g*m23)/(c2*l2)-(c2*g*m23)/l2+(g*m3)/(c3*l3)-(c3*g*m3)/l3 0 0 -(c2*k2*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2)+(g*m23*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2)-(c2*k2*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2)+(g*m23*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2)+(c3*k3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(2*l3)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(4*l3^2)+(c3*k3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3)-(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*l3^2) 0 (c3*k3*(n4-n5))/l3-(g*m3*(n4-n5))/(2*l3^2)+(c3*k3*(-n4+n5))/l3-(g*m3*(-n4+n5))/(2*l3^2) -2*c3^2*k3-(g*m3)/(c3*l3)+(c3*g*m3)/l3 0 0 (c3*k3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3)-(g*m3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*l3^2)+(c3*k3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3)-(g*m3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*l3^2)
 0 0 0 0 0 0 0 0 0 -((k2*(n2-n3)^2*si^2)/l2^2)+(g*m23*(n2-n3)^2*si^2)/(2*c2*l2^3)-(k2*(-n2+n3)^2*si^2)/l2^2+(g*m23*(-n2+n3)^2*si^2)/(2*c2*l2^3)+(g*m23*(-2*n2*n3-2*si^2))/(2*c2*l2) -((c2*k2*(n2-n3)*si^2)/l2)+(g*m23*(n2-n3)*si^2)/(2*l2^2)-(c2*k2*(-n2+n3)*si^2)/l2+(g*m23*(-n2+n3)*si^2)/(2*l2^2) 0 0 0 0 (k2*(n2-n3)^2*si^2)/l2^2-(g*m23*(n2-n3)^2*si^2)/(2*c2*l2^3)+(k2*(-n2+n3)^2*si^2)/l2^2-(g*m23*(-n2+n3)^2*si^2)/(2*c2*l2^3)+(g*m23*(2*(n2-n3)*n3+2*n3^2+2*si^2))/(4*c2*l2)+(g*m23*(2*n3^2-2*n3*(-n2+n3)+2*si^2))/(4*c2*l2)+(k3*(n4-n5)^2*sl^2)/l3^2-(g*m3*(n4-n5)^2*sl^2)/(2*c3*l3^3)+(k3*(-n4+n5)^2*sl^2)/l3^2-(g*m3*(-n4+n5)^2*sl^2)/(2*c3*l3^3)+(g*m3*(2*n4^2-2*n4*(n4-n5)+2*sl^2))/(4*c3*l3)+(g*m3*(2*n4^2+2*n4*(-n4+n5)+2*sl^2))/(4*c3*l3) (g*m23*(2*d2*(n2-n3)+2*d2*n3))/(4*c2*l2)+(g*m23*(-2*d2*n3+2*d2*(-n2+n3)))/(4*c2*l2)+(g*m3*(-2*d3*n4+2*d3*(n4-n5)))/(4*c3*l3)+(g*m3*(2*d3*n4+2*d3*(-n4+n5)))/(4*c3*l3)+(c2*k2*(n2-n3)*si^2)/l2-(g*m23*(n2-n3)*si^2)/(2*l2^2)+(c2*k2*(-n2+n3)*si^2)/l2-(g*m23*(-n2+n3)*si^2)/(2*l2^2)+(c3*k3*(n4-n5)*sl^2)/l3-(g*m3*(n4-n5)*sl^2)/(2*l3^2)+(c3*k3*(-n4+n5)*sl^2)/l3-(g*m3*(-n4+n5)*sl^2)/(2*l3^2) 0 0 0 0 -((k3*(n4-n5)^2*sl^2)/l3^2)+(g*m3*(n4-n5)^2*sl^2)/(2*c3*l3^3)-(k3*(-n4+n5)^2*sl^2)/l3^2+(g*m3*(-n4+n5)^2*sl^2)/(2*c3*l3^3)+(g*m3*(-2*n4*n5-2*sl^2))/(2*c3*l3) -((c3*k3*(n4-n5)*sl^2)/l3)+(g*m3*(n4-n5)*sl^2)/(2*l3^2)-(c3*k3*(-n4+n5)*sl^2)/l3+(g*m3*(-n4+n5)*sl^2)/(2*l3^2) 0
 0 0 0 0 0 0 -((d2*g*m23)/(c2*l2)) 0 0 -((c2*k2*(n2-n3)*si^2)/l2)+(g*m23*(n2-n3)*si^2)/(2*l2^2)-(c2*k2*(-n2+n3)*si^2)/l2+(g*m23*(-n2+n3)*si^2)/(2*l2^2) -2*c2^2*k2*si^2+(c2*g*m23*si^2)/l2+(g*m23*(2*d1*d2-2*si^2))/(2*c2*l2) 0 (d2*g*m23)/(c2*l2)-(d3*g*m3)/(c3*l3) 0 0 (g*m23*(2*d2*(n2-n3)+2*d2*n3))/(4*c2*l2)+(g*m23*(-2*d2*n3+2*d2*(-n2+n3)))/(4*c2*l2)+(g*m3*(-2*d3*n4+2*d3*(n4-n5)))/(4*c3*l3)+(g*m3*(2*d3*n4+2*d3*(-n4+n5)))/(4*c3*l3)+(c2*k2*(n2-n3)*si^2)/l2-(g*m23*(n2-n3)*si^2)/(2*l2^2)+(c2*k2*(-n2+n3)*si^2)/l2-(g*m23*(-n2+n3)*si^2)/(2*l2^2)+(c3*k3*(n4-n5)*sl^2)/l3-(g*m3*(n4-n5)*sl^2)/(2*l3^2)+(c3*k3*(-n4+n5)*sl^2)/l3-(g*m3*(-n4+n5)*sl^2)/(2*l3^2) 2*c2^2*k2*si^2-(c2*g*m23*si^2)/l2+(g*m23*(2*d2^2+2*c2*d2*l2+2*si^2))/(2*c2*l2)+2*c3^2*k3*sl^2-(c3*g*m3*sl^2)/l3+(g*m3*(2*d3^2+2*c3*d3*l3+2*sl^2))/(2*c3*l3) 0 (d3*g*m3)/(c3*l3) 0 0 -((c3*k3*(n4-n5)*sl^2)/l3)+(g*m3*(n4-n5)*sl^2)/(2*l3^2)-(c3*k3*(-n4+n5)*sl^2)/l3+(g*m3*(-n4+n5)*sl^2)/(2*l3^2) -2*c3^2*k3*sl^2+(c3*g*m3*sl^2)/l3+(g*m3*(2*d3*d4-2*sl^2))/(2*c3*l3) 0
 0 0 0 0 0 0 0 (d2*g*m23)/(c2*l2)-(k2*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2^2)+(g*m23*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*c2*l2^3)-(k2*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2^2)+(g*m23*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*c2*l2^3) (c2*k2*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2)-(g*m23*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2)+(c2*k2*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2)-(g*m23*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2) 0 0 (k2*(-2*c2*l2*n2-2*d1*(n2-n3))*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3))*(-2*d2*(n2-n3)+2*c2*l2*n3))/(8*c2*l2^3)+(g*m23*(2*d1*d2-2*n2*n3))/(2*c2*l2)+(k2*(2*c2*l2*n2-2*d1*(-n2+n3))*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2)-(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3))*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(8*c2*l2^3) 0 -((d2*g*m23)/(c2*l2))+(d3*g*m3)/(c3*l3)+(k2*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2^2)-(g*m23*(n2-n3)*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*c2*l2^3)+(k2*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2^2)-(g*m23*(-n2+n3)*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*c2*l2^3)-(k3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(2*l3^2)+(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(4*c3*l3^3)-(k3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3^2)+(g*m3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*c3*l3^3) -(c2*k2*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2)+(g*m23*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2)-(c2*k2*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2)+(g*m23*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2)+(c3*k3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(2*l3)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(4*l3^2)+(c3*k3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3)-(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*l3^2) 0 0 (k2*(-2*d2*(n2-n3)+2*c2*l2*n3)^2)/(4*l2^2)-(g*m23*(-2*d2*(n2-n3)+2*c2*l2*n3)^2)/(8*c2*l2^3)+(g*m23*(2*d2^2+2*c2*d2*l2+2*(n2-n3)*n3+2*n3^2))/(4*c2*l2)+(k2*(-2*c2*l2*n3-2*d2*(-n2+n3))^2)/(4*l2^2)-(g*m23*(-2*c2*l2*n3-2*d2*(-n2+n3))^2)/(8*c2*l2^3)+(g*m23*(2*d2^2+2*c2*d2*l2+2*n3^2-2*n3*(-n2+n3)))/(4*c2*l2)+(k3*(-2*c3*l3*n4-2*d3*(n4-n5))^2)/(4*l3^2)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))^2)/(8*c3*l3^3)+(g*m3*(2*d3^2+2*c3*d3*l3+2*n4^2-2*n4*(n4-n5)))/(4*c3*l3)+(k3*(2*c3*l3*n4-2*d3*(-n4+n5))^2)/(4*l3^2)-(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5))^2)/(8*c3*l3^3)+(g*m3*(2*d3^2+2*c3*d3*l3+2*n4^2+2*n4*(-n4+n5)))/(4*c3*l3) 0 -((d3*g*m3)/(c3*l3))+(k3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(2*l3^2)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(4*c3*l3^3)+(k3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3^2)-(g*m3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*c3*l3^3) -(c3*k3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(2*l3)+(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(4*l3^2)-(c3*k3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3)+(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*l3^2) 0 0 (k3*(-2*c3*l3*n4-2*d3*(n4-n5))*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*l3^2)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))*(-2*d4*(n4-n5)+2*c3*l3*n5))/(8*c3*l3^3)+(g*m3*(2*d3*d4-2*n4*n5))/(2*c3*l3)+(k3*(2*c3*l3*n4-2*d3*(-n4+n5))*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*l3^2)-(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5))*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(8*c3*l3^3)
 0 0 0 0 0 0 0 0 0 0 0 0 -((g*m3)/(c3*l3)) 0 0 0 (d3*g*m3)/(c3*l3) 0 (g*m3)/(c3*l3) 0 0 0 (d4*g*m3)/(c3*l3) 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 -((g*m3)/(c3*l3))-(k3*(n4-n5)^2)/l3^2+(g*m3*(n4-n5)^2)/(2*c3*l3^3)-(k3*(-n4+n5)^2)/l3^2+(g*m3*(-n4+n5)^2)/(2*c3*l3^3) (c3*k3*(n4-n5))/l3-(g*m3*(n4-n5))/(2*l3^2)+(c3*k3*(-n4+n5))/l3-(g*m3*(-n4+n5))/(2*l3^2) 0 0 -((d3*g*m3)/(c3*l3))+(k3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(2*l3^2)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))*(n4-n5))/(4*c3*l3^3)+(k3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3^2)-(g*m3*(-n4+n5)*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*c3*l3^3) 0 (g*m3)/(c3*l3)+(k3*(n4-n5)^2)/l3^2-(g*m3*(n4-n5)^2)/(2*c3*l3^3)+(k3*(-n4+n5)^2)/l3^2-(g*m3*(-n4+n5)^2)/(2*c3*l3^3) -((c3*k3*(n4-n5))/l3)+(g*m3*(n4-n5))/(2*l3^2)-(c3*k3*(-n4+n5))/l3+(g*m3*(-n4+n5))/(2*l3^2) 0 0 -((d4*g*m3)/(c3*l3))+(k3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3^2)-(g*m3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*c3*l3^3)+(k3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3^2)-(g*m3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*c3*l3^3)
 0 0 0 0 0 0 0 0 0 0 0 0 0 (c3*k3*(n4-n5))/l3-(g*m3*(n4-n5))/(2*l3^2)+(c3*k3*(-n4+n5))/l3-(g*m3*(-n4+n5))/(2*l3^2) -2*c3^2*k3-(g*m3)/(c3*l3)+(c3*g*m3)/l3 0 0 -(c3*k3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(2*l3)+(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5)))/(4*l3^2)-(c3*k3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(2*l3)+(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5)))/(4*l3^2) 0 -((c3*k3*(n4-n5))/l3)+(g*m3*(n4-n5))/(2*l3^2)-(c3*k3*(-n4+n5))/l3+(g*m3*(-n4+n5))/(2*l3^2) 2*c3^2*k3+(g*m3)/(c3*l3)-(c3*g*m3)/l3 0 0 -(c3*k3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3)+(g*m3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*l3^2)-(c3*k3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3)+(g*m3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*l3^2)
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 -((k3*(n4-n5)^2*sl^2)/l3^2)+(g*m3*(n4-n5)^2*sl^2)/(2*c3*l3^3)-(k3*(-n4+n5)^2*sl^2)/l3^2+(g*m3*(-n4+n5)^2*sl^2)/(2*c3*l3^3)+(g*m3*(-2*n4*n5-2*sl^2))/(2*c3*l3) -((c3*k3*(n4-n5)*sl^2)/l3)+(g*m3*(n4-n5)*sl^2)/(2*l3^2)-(c3*k3*(-n4+n5)*sl^2)/l3+(g*m3*(-n4+n5)*sl^2)/(2*l3^2) 0 0 0 0 (k3*(n4-n5)^2*sl^2)/l3^2-(g*m3*(n4-n5)^2*sl^2)/(2*c3*l3^3)+(k3*(-n4+n5)^2*sl^2)/l3^2-(g*m3*(-n4+n5)^2*sl^2)/(2*c3*l3^3)+(g*m3*(2*(n4-n5)*n5+2*n5^2+2*sl^2))/(4*c3*l3)+(g*m3*(2*n5^2-2*n5*(-n4+n5)+2*sl^2))/(4*c3*l3) (g*m3*(2*d4*(n4-n5)+2*d4*n5))/(4*c3*l3)+(g*m3*(-2*d4*n5+2*d4*(-n4+n5)))/(4*c3*l3)+(c3*k3*(n4-n5)*sl^2)/l3-(g*m3*(n4-n5)*sl^2)/(2*l3^2)+(c3*k3*(-n4+n5)*sl^2)/l3-(g*m3*(-n4+n5)*sl^2)/(2*l3^2) 0
 0 0 0 0 0 0 0 0 0 0 0 0 -((d4*g*m3)/(c3*l3)) 0 0 -((c3*k3*(n4-n5)*sl^2)/l3)+(g*m3*(n4-n5)*sl^2)/(2*l3^2)-(c3*k3*(-n4+n5)*sl^2)/l3+(g*m3*(-n4+n5)*sl^2)/(2*l3^2) -2*c3^2*k3*sl^2+(c3*g*m3*sl^2)/l3+(g*m3*(2*d3*d4-2*sl^2))/(2*c3*l3) 0 (d4*g*m3)/(c3*l3) 0 0 (g*m3*(2*d4*(n4-n5)+2*d4*n5))/(4*c3*l3)+(g*m3*(-2*d4*n5+2*d4*(-n4+n5)))/(4*c3*l3)+(c3*k3*(n4-n5)*sl^2)/l3-(g*m3*(n4-n5)*sl^2)/(2*l3^2)+(c3*k3*(-n4+n5)*sl^2)/l3-(g*m3*(-n4+n5)*sl^2)/(2*l3^2) 2*c3^2*k3*sl^2-(c3*g*m3*sl^2)/l3+(g*m3*(2*d4^2+2*c3*d4*l3+2*sl^2))/(2*c3*l3) 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 (d4*g*m3)/(c3*l3)-(k3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3^2)+(g*m3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*c3*l3^3)-(k3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3^2)+(g*m3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*c3*l3^3) (c3*k3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3)-(g*m3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*l3^2)+(c3*k3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3)-(g*m3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*l3^2) 0 0 (k3*(-2*c3*l3*n4-2*d3*(n4-n5))*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*l3^2)-(g*m3*(-2*c3*l3*n4-2*d3*(n4-n5))*(-2*d4*(n4-n5)+2*c3*l3*n5))/(8*c3*l3^3)+(g*m3*(2*d3*d4-2*n4*n5))/(2*c3*l3)+(k3*(2*c3*l3*n4-2*d3*(-n4+n5))*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*l3^2)-(g*m3*(2*c3*l3*n4-2*d3*(-n4+n5))*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(8*c3*l3^3) 0 -((d4*g*m3)/(c3*l3))+(k3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3^2)-(g*m3*(n4-n5)*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*c3*l3^3)+(k3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3^2)-(g*m3*(-n4+n5)*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*c3*l3^3) -(c3*k3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(2*l3)+(g*m3*(-2*d4*(n4-n5)+2*c3*l3*n5))/(4*l3^2)-(c3*k3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(2*l3)+(g*m3*(-2*c3*l3*n5-2*d4*(-n4+n5)))/(4*l3^2) 0 0 (k3*(-2*d4*(n4-n5)+2*c3*l3*n5)^2)/(4*l3^2)-(g*m3*(-2*d4*(n4-n5)+2*c3*l3*n5)^2)/(8*c3*l3^3)+(g*m3*(2*d4^2+2*c3*d4*l3+2*(n4-n5)*n5+2*n5^2))/(4*c3*l3)+(k3*(-2*c3*l3*n5-2*d4*(-n4+n5))^2)/(4*l3^2)-(g*m3*(-2*c3*l3*n5-2*d4*(-n4+n5))^2)/(8*c3*l3^3)+(g*m3*(2*d4^2+2*c3*d4*l3+2*n5^2-2*n5*(-n4+n5)))/(4*c3*l3)
];
km = [...
mn 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 mn 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 mn 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 Inz Inyz Inzx 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 Inyz Iny Inxy 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 Inzx Inxy Inx 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 m1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 m1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 m1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 I1z I1yz I1zx 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 I1yz I1y I1xy 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 I1zx I1xy I1x 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 m2 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 m2 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 m2 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 I2z I2yz I2zx 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 I2yz I2y I2xy 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 I2zx I2xy I2x 0 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 m3 0 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 m3 0 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 m3 0 0 0
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 I3z I3yz I3zx
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 I3yz I3y I3xy
 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 I3zx I3xy I3x
];
cqxm = [...
0 (cn*kn*(nn0-nn1))/ln-(g*mn3*(nn0-nn1))/(2*ln^2) -(cn^2*kn)-(g*mn3)/(2*cn*ln)+(cn*g*mn3)/(2*ln) 0 0 (g*mn3*nn1)/(2*cn*ln)+(cn*kn*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(2*ln)-(g*mn3*(-2*dm*(nn0-nn1)+2*cn*ln*nn1))/(4*ln^2) 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 -(g*mn3)/(2*cn*ln) 0 0 -(g*mn3*nn1)/(2*cn*ln) -(dm*g*mn3)/(2*cn*ln) 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 (cn*kn*(-nn0+nn1))/ln-(g*mn3*(-nn0+nn1))/(2*ln^2) -(cn^2*kn)-(g*mn3)/(2*cn*ln)+(cn*g*mn3)/(2*ln) 0 0 -(g*mn3*nn1)/(2*cn*ln)+(cn*kn*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(2*ln)-(g*mn3*(-2*cn*ln*nn1-2*dm*(-nn0+nn1)))/(4*ln^2) 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 -(g*mn3)/(2*cn*ln) 0 0 (g*mn3*nn1)/(2*cn*ln) -(dm*g*mn3)/(2*cn*ln) 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 -((c1*k1*(n0-n1))/l1)+(g*m13*(n0-n1))/(2*l1^2) c1^2*k1+(g*m13)/(2*c1*l1)-(c1*g*m13)/(2*l1) 0 0 (g*m13*(-2*n0+2*(n0-n1)))/(4*c1*l1)+(c1*k1*(-2*c1*l1*n0-2*dn*(n0-n1)))/(2*l1)-(g*m13*(-2*c1*l1*n0-2*dn*(n0-n1)))/(4*l1^2) 0 (c1*k1*(n0-n1))/l1-(g*m13*(n0-n1))/(2*l1^2) -(c1^2*k1)-(g*m13)/(2*c1*l1)+(c1*g*m13)/(2*l1) 0 0 (g*m13*n1)/(2*c1*l1)+(c1*k1*(-2*d0*(n0-n1)+2*c1*l1*n1))/(2*l1)-(g*m13*(-2*d0*(n0-n1)+2*c1*l1*n1))/(4*l1^2) 0 0 0 0 0 0 0 0 0 0 0 0
 (g*m13)/(2*c1*l1) 0 0 (g*m13*(2*n0-2*(n0-n1)))/(4*c1*l1) (g*(-2*dn-2*c1*l1)*m13)/(4*c1*l1) 0 -(g*m13)/(2*c1*l1) 0 0 -(g*m13*n1)/(2*c1*l1) -(d0*g*m13)/(2*c1*l1) 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 -((c1*k1*(-n0+n1))/l1)+(g*m13*(-n0+n1))/(2*l1^2) c1^2*k1+(g*m13)/(2*c1*l1)-(c1*g*m13)/(2*l1) 0 0 (g*m13*(2*n0+2*(-n0+n1)))/(4*c1*l1)+(c1*k1*(2*c1*l1*n0-2*dn*(-n0+n1)))/(2*l1)-(g*m13*(2*c1*l1*n0-2*dn*(-n0+n1)))/(4*l1^2) 0 (c1*k1*(-n0+n1))/l1-(g*m13*(-n0+n1))/(2*l1^2) -(c1^2*k1)-(g*m13)/(2*c1*l1)+(c1*g*m13)/(2*l1) 0 0 -(g*m13*n1)/(2*c1*l1)+(c1*k1*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(2*l1)-(g*m13*(-2*c1*l1*n1-2*d0*(-n0+n1)))/(4*l1^2) 0 0 0 0 0 0 0 0 0 0 0 0
 (g*m13)/(2*c1*l1) 0 0 (g*m13*(-2*n0-2*(-n0+n1)))/(4*c1*l1) (g*(-2*dn-2*c1*l1)*m13)/(4*c1*l1) 0 -(g*m13)/(2*c1*l1) 0 0 (g*m13*n1)/(2*c1*l1) -(d0*g*m13)/(2*c1*l1) 0 0 0 0 0 0 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 -((c2*k2*(n2-n3))/l2)+(g*m23*(n2-n3))/(2*l2^2) c2^2*k2+(g*m23)/(2*c2*l2)-(c2*g*m23)/(2*l2) 0 0 (g*m23*(-2*n2+2*(n2-n3)))/(4*c2*l2)+(c2*k2*(-2*c2*l2*n2-2*d1*(n2-n3)))/(2*l2)-(g*m23*(-2*c2*l2*n2-2*d1*(n2-n3)))/(4*l2^2) 0 (c2*k2*(n2-n3))/l2-(g*m23*(n2-n3))/(2*l2^2) -(c2^2*k2)-(g*m23)/(2*c2*l2)+(c2*g*m23)/(2*l2) 0 0 (g*m23*n3)/(2*c2*l2)+(c2*k2*(-2*d2*(n2-n3)+2*c2*l2*n3))/(2*l2)-(g*m23*(-2*d2*(n2-n3)+2*c2*l2*n3))/(4*l2^2) 0 0 0 0 0 0
 0 0 0 0 0 0 (g*m23)/(2*c2*l2) 0 0 (g*m23*(2*n2-2*(n2-n3)))/(4*c2*l2) (g*(-2*d1-2*c2*l2)*m23)/(4*c2*l2) 0 -(g*m23)/(2*c2*l2) 0 0 -(g*m23*n3)/(2*c2*l2) -(d2*g*m23)/(2*c2*l2) 0 0 0 0 0 0 0
 0 0 0 0 0 0 0 -((c2*k2*(-n2+n3))/l2)+(g*m23*(-n2+n3))/(2*l2^2) c2^2*k2+(g*m23)/(2*c2*l2)-(c2*g*m23)/(2*l2) 0 0 (g*m23*(2*n2+2*(-n2+n3)))/(4*c2*l2)+(c2*k2*(2*c2*l2*n2-2*d1*(-n2+n3)))/(2*l2)-(g*m23*(2*c2*l2*n2-2*d1*(-n2+n3)))/(4*l2^2) 0 (c2*k2*(-n2+n3))/l2-(g*m23*(-n2+n3))/(2*l2^2) -(c2^2*k2)-(g*m23)/(2*c2*l2)+(c2*g*m23)/(2*l2) 0 0 -(g*m23*n3)/(2*c2*l2)+(c2*k2*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(2*l2)-(g*m23*(-2*c2*l2*n3-2*d2*(-n2+n3)))/(4*l2^2) 0 0 0 0 0 0
 0 0 0 0 0 0 (g*m23)/(2*c2*l2) 0 0 (g*m23*(-2*n2-2*(-n2+n3)))/(4*c2*l2) (g*(-2*d1-2*c2*l2)*m23)/(4*c2*l2) 0 -(g*m23)/(2*c2*l2) 0 0 (g*m23*n3)/(2*c2*l2) -(d2*g*m23)/(2*c2*l2) 0 0 0 0 0 0 0
];
cxsm = [...
-((g*mn3)/(cn*ln)) 0 0 0 0 0
 0 (g*mn3*(-ln^2+(nn0-nn1)^2)-2*cn*kn*ln*(nn0-nn1)^2)/(cn*ln^3) 0 0 0 -(((2*cn*kn*ln-g*mn3)*nn0*(nn0-nn1))/ln^2)
 0 0 (-2*cn^3*kn*ln-g*mn3+cn^2*g*mn3)/(cn*ln) 0 0 0
 0 0 0 -((g*mn3*nn0*nn1)/(cn*ln)) 0 0
 -((dm*g*mn3)/(cn*ln)) 0 0 0 0 0
 0 (dm*(g*mn3*(ln^2-(nn0-nn1)^2)+2*cn*kn*ln*(nn0-nn1)^2)-cn*ln*(2*cn*kn*ln-g*mn3)*(nn0-nn1)*nn1)/(cn*ln^3) 0 0 0 (nn0*(-2*cn^3*kn*ln^2*nn1-g*ln*mn3*nn1+cn*dm*g*mn3*(-nn0+nn1)+cn^2*ln*(2*dm*kn*(nn0-nn1)+g*mn3*nn1)))/(cn*ln^2)
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
 0 0 0 0 0 0
];
